petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMNetworkSetEdgeList

Sets the list of local edges (vertex connectivity) for the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetEdgeList(DM dm, int edgelist[])

Logically collective on DM

### Input Parameters

edges -list of edges

### Notes

There is no copy involved in this operation, only the pointer is referenced. The edgelist should not be destroyed before the call to DMNetworkLayoutSetUp

### See Also

DMNetworkCreate, DMNetworkSetSizes

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages